summaryrefslogtreecommitdiffstats
path: root/packaging/macos/build_inkscape.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 16:29:01 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 16:29:01 +0000
commit35a96bde514a8897f6f0fcc41c5833bf63df2e2a (patch)
tree657d15a03cc46bd099fc2c6546a7a4ad43815d9f /packaging/macos/build_inkscape.sh
parentInitial commit. (diff)
downloadinkscape-upstream.tar.xz
inkscape-upstream.zip
Adding upstream version 1.0.2.upstream/1.0.2upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'packaging/macos/build_inkscape.sh')
-rwxr-xr-xpackaging/macos/build_inkscape.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/packaging/macos/build_inkscape.sh b/packaging/macos/build_inkscape.sh
new file mode 100755
index 0000000..dc3139a
--- /dev/null
+++ b/packaging/macos/build_inkscape.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# This file is part of the build pipeline for Inkscape on macOS.
+#
+# ### build_inkscape.sh ###
+# Compile and package Inkscape.
+
+### load settings and functions ################################################
+
+SELF_DIR=$(F=$0; while [ ! -z $(readlink $F) ] && F=$(readlink $F); \
+ cd $(dirname $F); F=$(basename $F); [ -L $F ]; do :; done; echo $(pwd -P))
+for script in $SELF_DIR/0??-*.sh; do source $script; done
+
+set -e
+
+### run scripts to compile and build Inkscape ##################################
+
+for script in $SELF_DIR/2??-*.sh; do
+ $script
+done